package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 规律排班，排班途径
 */
public enum RegularScheduleTypeEnum implements BaseEnum {
    REGULAR("0","规律排班"),
    IMPORT("1","导入排班"),
    CALENDAR("2","日历排班"),
    INTELLIGENCE("3","智能工时"),
    NOW("4","现场排班"),
    WORKFLOW("5","流程申请");

    private String key;
    private String value;

    RegularScheduleTypeEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
